Page MenuHomePhabricator

property label doesn't scroll with viewport anymore
Closed, ResolvedPublic1 Story Points

Description

The property label doesn't scroll with the viewport anymore.

Example: https://www.wikidata.org/wiki/Q42#P998

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 31 2015, 5:10 PM
Lydia_Pintscher triaged this task as High priority.Apr 2 2015, 10:30 AM
Lydia_Pintscher set Security to None.
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher added a subscriber: thiemowmde.
Tobi_WMDE_SW edited a custom field.May 25 2015, 11:00 AM

Just to let you know: I had a look into this right when the Wikidata-Sprint-2015-05-05 started. To my surprise I could not find the code responsible for the sticky property labels. @Snaterlicious, do you have a hint?

Change 220091 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
Adapt statementgrouplabelscroll to DOM changes

https://gerrit.wikimedia.org/r/220091

Had a chat with @Snaterlicious. The relevant JavaScript source file is jquery.wikibase.statementgrouplabelscroll.js, which is now in the view folder of Wikibase.git. jquery.sticknode.js and the word "stick" I originally searched for does not appear in this file. "labelscroll" is what I should have searched for.

Reason for the regression are the DOM changes in https://gerrit.wikimedia.org/r/#/c/186228/9/repo/resources/templates.php. Labelscroll was not adapted. Now patched in https://gerrit.wikimedia.org/r/#/c/220091/.

Side note: The performance of this feature feels bad. Is it me? Is it my machine?

Bene closed this task as Resolved.Jun 23 2015, 9:04 AM
Bene assigned this task to thiemowmde.
Bene removed a project: Patch-For-Review.
Bene moved this task from Backlog to Done on the Wikidata-Sprint-2015-06-16 board.

Change 220091 merged by jenkins-bot:
Adapt statementgrouplabelscroll to DOM changes

https://gerrit.wikimedia.org/r/220091

Bene added a subscriber: Bene.Jun 23 2015, 9:13 AM

@thiemowmde I also see the bad performance and have opened T103485 for that.